﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Adormentbarserieswp8.Resources;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Windows.Media;
using Syncfusion.UI.Xaml.Charts;

namespace Adormentbarserieswp8
{ 
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            
            // Sample code to localize the ApplicationBar
            //BuildLocalizedApplicationBar();
        }

        
    }
    public class model
    {
        public double studId { get; set; }

        public double mark { get; set; }



        public double Stock { get; set; }
        public Brush ColorModel { get; set; }
    }
    public class viewmodel
    {
        public viewmodel()
        {
            Products = new ObservableCollection<model>();
            Products.Add(new model() { mark = 50, studId = 1 });
            Products.Add(new model() { mark = 60, studId = 2 });
            Products.Add(new model() { mark = 35, studId = 3 });
            Products.Add(new model() { mark = 40, studId = 4 });
            Products.Add(new model() { mark = 80, studId = 5 });
            Products.Add(new model() { mark = 100, studId = 6 });



        }

        public ObservableCollection<model> Products { get; set; }
        public List<Brush> CustomBrush { get; set; }


    }


    public class ColorConverter : IValueConverter
    {

        viewmodel model1 = new viewmodel();


        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            model1.CustomBrush = new List<Brush>();
            foreach (var item in model1.Products)
            {
                if (item.mark >= 80)
                {
                    model1.CustomBrush.Add(new SolidColorBrush(Colors.Green));

                }
                else if (item.mark < 50)
                {
                    model1.CustomBrush.Add(new SolidColorBrush(Colors.Red));
                }
                else if (item.mark > 50 && item.mark < 80)
                {
                    model1.CustomBrush.Add(new SolidColorBrush(Colors.Blue));
                }
            }



            ChartColorModel model = new ChartColorModel();
            model.CustomBrushes = model1.CustomBrush;
            return model;

        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}